diff --git a/src/lib/direct.cpp b/src/lib/direct.cpp
index 232939259e..674e04c3a3 100644
--- a/src/lib/direct.cpp
+++ b/src/lib/direct.cpp
@@ -616,6 +616,7 @@ ncdirect_stop_minimal(void* vnc){
     ret |= tcsetattr(nc->ctermfd, TCSANOW, &nc->tpreserved);
     ret |= close(nc->ctermfd);
   }
+  ret |= ncdirect_flush(nc);
   return ret;
 }
 
